Bug 713797 - avc: denied { name_connect } for ... comm="clustat" dest=50006 scontext=...:ricci_modclusterd_t:s0 tcontext=...:cluster_port_t:s0 tclass=tcp_socket
avc: denied { name_connect } for ... comm="clustat" dest=50006 scontext=...:r...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.7
All Linux
medium Severity high
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 10:49 EDT by Milos Malik
Modified: 2012-11-23 16:07 EST (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-2.4.6-313
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2011-06-16 10:49:48 EDT
Description of problem:
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2011/06/985/98511/200617/2174607//TESTOUT.log

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-311.el5
selinux-policy-targeted-2.4.6-311.el5

How reproducible:
always

Steps to Reproduce:
* run following automated test on a freshly installed RHEL-5.7 machine:
/CoreOS/selinux-policy/Regression/bz271561-corosync-and-similar

Actual results:
----
time->Thu Jun 16 06:59:37 2011
type=SYSCALL msg=audit(1308221977.961:2025): arch=c000003e syscall=42 success=no exit=-13 a0=5 a1=7fffc349bee0 a2=1c a3=0 items=0 ppid=4252 pid=14858 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="clustat" exe="/usr/sbin/clustat" subj=system_u:system_r:ricci_modclusterd_t:s0 key=(null)
type=AVC msg=audit(1308221977.961:2025): avc:  denied  { name_connect } for  pid=14858 comm="clustat" dest=50006 scontext=system_u:system_r:ricci_modclusterd_t:s0 tcontext=system_u:object_r:cluster_port_t:s0 tclass=tcp_socket
----

Expected results:
no AVCs
Comment 1 Miroslav Grepl 2011-06-20 10:42:07 EDT
Fixed in selinux-policy-2.4.6-313
Comment 4 errata-xmlrpc 2011-07-21 05:21:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html
Comment 5 errata-xmlrpc 2011-07-21 07:57:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html

Note You need to log in before you can comment on or make changes to this bug.